diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index 3f4392a..0f5158d 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -432,6 +432,18 @@ def poll(trans_id):
     else:
         if result is None:
             result = conn.status_message()
+            additional_result = conn.messages()
+            """
+            '.messages()' method may also contain procedure/function output,
+            If it is present then we also need include it with main result
+            'connection.notices' a.k.a '.messages()' stores all the notices
+            message in list for current session, latest messages are appended
+            so we will fetch the last message only from the list
+            """
+            if isinstance(additional_result, list) \
+                    and len(additional_result) > 0:
+                result = str(additional_result[-1]) + result
+
             rows_affected = conn.rows_affected()
 
     return make_json_response(data={'status': status, 'result': result,
